{ pkgs, config, lib, ... }:
let
  hostname = "syncthing.${config.networking.fqdn}";
in
{

  services.syncthing = {
    enable = true;
    # openDefaultPorts = true;
  };
  systemd.tmpfiles.rules = lib.mkIf config.services.syncthing.enable [
    "d '/var/lib/syncthing' 0775 ${config.services.syncthing.user} ${config.services.syncthing.group}"
    "Z '/var/lib/syncthing' 0775 ${config.services.syncthing.user} ${config.services.syncthing.group}"
  ];
}
